<!DOCTYPE html>
<html>
  <head>
    <title>{% block head_title %}{% endblock %}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <style>
      .form-group {
        margin-top: 10px;
      }
    </style>
    {% block extra_head %}
    {% endblock %}
  </head>
  <body>
    {% block body %}

    {% if messages %}
      <div class="p-2">
        {% for message in messages %}
          <div class="text-center border-bottom">{{message}}</div>
        {% endfor %}
      </div>
    {% endif %}

    <div class="p-3 mb-3 bg-dark">
      <div class="container d-flex justify-content-between">
          {% if user.is_authenticated %}
          <div><a class="text-light" href="{% url 'profile' %}">Профиль</a></div>
          <div><a class="text-light" href="{% url 'account_logout' %}">Выход</a></div>
          {% else %}
          <div><a class="text-light" href="{% url 'account_login' %}">Войти</a></div>
          <div><a class="text-light" href="{% url 'account_signup' %}">Зарегистрироваться</a></div>
          {% endif %}
      </div>
    </div>
    {% block content %}
    {% endblock %}
    {% endblock %}
    {% block extra_body %}
    {% endblock %}

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
  </body>
</html>